SimpleActionForm (Struts Apps - Cookbook 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.simple
Class SimpleActionForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          examples.simple.SimpleActionForm

All Implemented Interfaces:
  Serializable

    public class SimpleActionForm

extends ActionForm

A simple ActionForm

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`SimpleActionForm()` Constructor for MultiboxActionForm.

Method Summary
`String` | `getColor()` Returns the color.
`boolean` | `getConfirm()` Returns the confirm.
`String` | `getHidden()` Returns the hidden.
`String` | `getMessage()` Returns the message.
`String` | `getName()` Returns the name.
`String` | `getRating()` Returns the rating.
`String` | `getSecret()` Returns the secret.
`void` | `reset(ActionMapping mapping, HttpServletRequest request)` Reset all properties to their default values.
`void` | `setColor(String color)` Sets the color.
`void` | `setConfirm(boolean confirm)` Sets the confirm.
`void` | `setHidden(String hidden)` Sets the hidden.
`void` | `setMessage(String message)` Sets the message.
`void` | `setName(String name)` Sets the name.
`void` | `setRating(String rating)` Sets the rating.
`void` | `setSecret(String secret)` Sets the secret.
`ActionErrors` | `validate(ActionMapping mapping, HttpServletRequest request)` Validate the properties that have been set from this HTTP request, and return an `ActionMessages` object that encapsulates any validation errors that have been found.

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleActionForm

    public SimpleActionForm()

  Constructor for MultiboxActionForm.

Method Detail

### reset

    public void reset(ActionMapping mapping,
                      HttpServletRequest request)

  Reset all properties to their default values.

  Overrides:
    `reset` in class `ActionForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing

### validate

    public ActionErrors validate(ActionMapping mapping,
                                 HttpServletRequest request)

  Validate the properties that have been set from this HTTP request, and return an `ActionMessages` object that encapsulates any validation errors that have been found. If no errors are found, return `null` or an `ActionMessages` object with no recorded error messages.

  Overrides:
    `validate` in class `ActionForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing
  Returns:
    ActionMessages if any validation errors occurred

### getColor

    public String getColor()

  Returns the color.

  Returns:
    String

### getConfirm

    public boolean getConfirm()

  Returns the confirm.

  Returns:
    boolean

### getHidden

    public String getHidden()

  Returns the hidden.

  Returns:
    String

### getMessage

    public String getMessage()

  Returns the message.

  Returns:
    String

### getName

    public String getName()

  Returns the name.

  Returns:
    String

### getRating

    public String getRating()

  Returns the rating.

  Returns:
    String

### getSecret

    public String getSecret()

  Returns the secret.

  Returns:
    String

### setColor

    public void setColor(String color)

  Sets the color.

  Parameters:
    `color` - The color to set

### setConfirm

    public void setConfirm(boolean confirm)

  Sets the confirm.

  Parameters:
    `confirm` - The confirm to set

### setHidden

    public void setHidden(String hidden)

  Sets the hidden.

  Parameters:
    `hidden` - The hidden to set

### setMessage

    public void setMessage(String message)

  Sets the message.

  Parameters:
    `message` - The message to set

### setName

    public void setName(String name)

  Sets the name.

  Parameters:
    `name` - The name to set

### setRating

    public void setRating(String rating)

  Sets the rating.

  Parameters:
    `rating` - The rating to set

### setSecret

    public void setSecret(String secret)

  Sets the secret.

  Parameters:
    `secret` - The secret to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.